%define name xmms
%define version 0.9.1
%define release 2

Summary: X11 mp3 player with features not unlike WinAMP.
Name: %{name}
Version: %{version}
Release: %{release}
Copyright: GPL
Group: Applications/Multimedia
URL: http://www.xmms.org
Source: %{name}-%{version}.tar.gz
Source1: xmms.desktop
Source2: mp3license 
Source3: README.ESD 
Patch1: xmms-0.9-configure.in.patch
Patch2: xmms-0.9-libmikmod-3.1.7.patch
Requires: gtk+ >= 1.1.15
BuildRoot: /var/tmp/%{name}-%{version}
Obsoletes: x11amp0.7-1-1 x11amp

%description
Xmms is a X Windows based mp3 player with a nice interface
borrowed from WinAMP.

For information on the MP3 License, please visit:
http://www.mpeg.org/

%package devel
Summary: Static libraries and header files for xmms.
Group: Development/Libraries
Obsoletes: x11amp-devel
Requires: %{name}

%description devel
Static libraries and header files for building xmms plugins.

%package gnome
Summary: GNOME panel applet for xmms.
Group: Applications/Multimedia
Requires: %{name}

%description gnome
A panel applet that allows you to control XMMS.

%prep
%setup -q
%patch1 -p1 -b .conf
%patch2 -p1 -b .ml

%build
automake && autoconf
(cd libxmms; automake && autoconf)
if [ ! -e configure ]; then
	CFLAGS=$RPM_OPT_FLAGS \
	./autogen.sh --prefix=/usr/X11R6
else
	CFLAGS=$RPM_OPT_FLAGS \
	./configure --prefix=/usr/X11R6
fi
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

mkdir -p $RPM_BUILD_ROOT/etc/X11/applnk/Multimedia/
install -m 644 $RPM_SOURCE_DIR/xmms.desktop  $RPM_BUILD_ROOT/etc/X11/applnk/Multimedia/

strip $RPM_BUILD_ROOT/usr/X11R6/bin/xmms
%post
/sbin/ldconfig  

%postun -p /sbin/ldconfig 

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README 
%doc $RPM_SOURCE_DIR/README.ESD
/usr/X11R6/bin/xmms
/usr/X11R6/lib/libxmms.so.0
/usr/X11R6/lib/libxmms.so.0.9.0
/usr/X11R6/lib/xmms
/etc/X11/applnk/Multimedia/xmms.desktop

%files devel
%defattr(-,root,root)
/usr/X11R6/include/xmms
/usr/X11R6/lib/libxmms.a
/usr/X11R6/lib/libxmms.la
/usr/X11R6/lib/libxmms.so

%files gnome
%defattr(-,root,root)
/usr/X11R6/bin/gnomexmms
/usr/share/applets/Multimedia/gnomexmms.desktop
/etc/CORBA/servers/gnomexmms.gnorba


%changelog
* Wed Aug 18 1999 Peter Hanecak <hanecak@megaloman.sk>
- libmikmod-3.1.7 (and higher) patch

* Tue Jul 20 1999 Bill Nottingham <notting@redhat.com>
- 0.9.1

* Mon Jun 21 1999 Bill Nottingham <notting@redhat.com>
- use other fallback patch
- obsolete x11amp-devel

* Fri Jun 11 1999 Matt Wilson <msw@redhat.com>
- updated to xmms 0.9 final

* Thu Apr 8 1999 The Rasterman <raster@redhat.com>
- patched to have plugin fallback to other plugins for output if plugin fails.

* Mon Mar 29 1999 Michael Maher <mike@redhat.com>
- added desktop entry.

* Mon Mar 22 1999 Michael Maher <mike@redhat.com>
- made some changes to the spec file. 
- has 'esd' support now.
- stripped executables.

* Mon Feb 15 1999 Michael Maher <mike@redhat.com>
- built pacakge for 6.0
- changed spec file, added mp3 licenses.

* Mon Feb 15 1999 Ryan Weaver <ryanw@infohwy.com>
  [x11amp-0.9-alpha3-1]
- Updated to alpha3 see ChangLog for changes.

* Wed Jan 13 1999 Ryan Weaver <ryanw@infohwy.com>
  [x11amp-0.9-alpha2-1]
- fixed close button in PL/EQ windows
- fixed shuffel/randomize functions
- removed imlib, no need for imlib anymore
- mpg123 plugin now works on SMP machines, also reduced cpu usage
- fixed so mainwindow will be positioned correct at startup in some windowmanagers
- fixed the playlistwindow buttons that ended up behind the window
- added mikmod plugin into the source tree
- now you can configure the OSS drivers and mpg123 plugin
- SKINSDIR variable can be used again
- added bars as analyzer mode
- in playlistwindow the player control buttons now work, also time window works
